> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video Job



## OpenAPI

````yaml openapis/video.json post /v1/video/create
openapi: 3.1.0
info:
  title: Video Routes
  version: 0.0.1
servers:
  - url: https://api.opennote.com
security: []
paths:
  /v1/video/create:
    post:
      summary: Create Video Job
      operationId: create_video_job_video_create_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoCreateJobRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoCreateJobResponse'
        '401':
          description: Invalid API key or unauthorized access
        '402':
          description: Insufficient credits
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    VideoCreateJobRequest:
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The model to use for the video generation
          default: picasso
        messages:
          anyOf:
            - items:
                $ref: '#/components/schemas/BasicMessage'
              type: array
            - type: 'null'
          title: Messages
          description: The messages that will be used to generate the video script
        include_sources:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Include Sources
          description: Whether to gather data from the web to help with the video script
          default: false
        search_for:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Search For
          description: The query to search the web for
        source_count:
          anyOf:
            - type: integer
              maximum: 5
              minimum: 1
            - type: 'null'
          title: Source Count
          description: The number of sources to gather from the web
          default: 3
        length:
          anyOf:
            - type: integer
              maximum: 5
              minimum: 1
            - type: 'null'
          title: Length
          description: The number of paragraphs to generate for the video script
          default: 3
        script:
          anyOf:
            - type: string
              maxLength: 6000
            - type: 'null'
          title: Script
          description: The script to use for the video, with sections delimited by '-----'
        upload_to_s3:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Upload To S3
          description: Whether to upload the video to S3
          default: false
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: The title of the video, if you want to provide one
          default: ''
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: The Webhook URL to send the video completion response to
      type: object
      title: VideoCreateJobRequest
      description: Request model for creating a video generation job.
    VideoCreateJobResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        video_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Id
      type: object
      required:
        - success
      title: VideoCreateJobResponse
      description: Response model for video job creation.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BasicMessage:
      properties:
        role:
          type: string
          enum:
            - user
            - assistant
            - system
          title: Role
        content:
          type: string
          title: Content
      type: object
      required:
        - role
        - content
      title: BasicMessage
      description: Message format for generic requests, with simple schema for LLM use.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````